# Jasmine NPM 2.3.0 Release Notes

## Summary

This release updates the jasmine-core dependency to 2.3.0. See the
[jasmine-core release notes](https://github.com/pivotal/jasmine/blob/master/release_notes/2.3.0.md)
for more information.

## Changes

* Move mention of default command up near other commands in help
* Document how to specify path to config file
* Add docs for filter and stop spec execution
* Allows the user to specify stop on execution behavior with a CLI param.
* Gives the user the ability to stop execution on failure.
* Adds version command to show the jasmine and jasmine-core versions.
* Deprecates passing an onComplete to ConsoleReporter and as an option to configureDefaultReporter
* Adds jasmine.onComplete that defines a callback for the exit code reporter to call

## Pull Requests & Issues

* Use the exit module only in Windows with node version below v0.12.0. Use process.exit otherwise
    - Fixes [#40](https://github.com/jasmine/jasmine-npm/issues/40)
    - Fixes [#36](https://github.com/jasmine/jasmine-npm/issues/36)

* Add -v and -h aliases to the CLI.
    - Fixes [#19](https://github.com/jasmine/jasmine-npm/issues/19)

* Add filter by spec name
    - Merge [#35](https://github.com/jasmine/jasmine-npm/issues/35) from @just-boris

* Update package.json license
    - Merge [#34](https://github.com/jasmine/jasmine-npm/issues/34) from @mikaturunen

* Don't output ANSI escape sequences if stdout is not a terminal
    - Merge [#33](https://github.com/jasmine/jasmine-npm/issues/33) from @sgravrock

* jasmine command only adds a default reporter if no other reporter is added.
    - Fixes [#28](https://github.com/jasmine/jasmine-npm/issues/28)

* Load helper files even if files are specified on the command line
    - Fixes [#21](https://github.com/jasmine/jasmine-npm/issues/21)
    - Fixes [#28](https://github.com/jasmine/jasmine-npm/issues/28)

* Allow custom stackFilter function
    - Merge [#27](https://github.com/jasmine/jasmine-npm/issues/27) from @hankduan

------

_Release Notes generated with _[Anchorman](http://github.com/infews/anchorman)_
