# Jasmine NPM 3.8 Release Notes

## Summary

This release updates the jasmine-core dependency to 3.8.0. See the
[jasmine-core release notes](https://github.com/pivotal/jasmine/blob/main/release_notes/3.8.0.md)
for more information.

# New features and bug fixes

* Opt-in support for ES modules with .js extension and package type `module`
    * All files are loaded using `import` if `"jsLoader": "import"` is set in
      the config file.
    * Only supported on Node >= 12.17.0. Older versions have missing or broken
        support for importing .js files.
    * Fixes [#170](https://github.com/jasmine/jasmine-npm/issues/170)

* Allow the random seed reproduction command to be overridden
    * Needed by jasmine-browser-runner, which uses the ConsoleReporter but needs
      to tell the user to run a different command.


# Documentation updates

* Created an initial set of [API reference documentation](https://jasmine.github.io/api/npm/3.8/index)


# Internal notes

* Specify files to include in the NPM package rather than files to exclude

* CI matrix updates
    * Added Node 16.
    * Added Node 12.0, 12.16, and 12.17 to ensure coverage of versions that do
      and don't have good support for importing .js files.
    * Removed Windows. We'll manually run the tests on Windows before each
      release, but we no longer have reliable access to a free Windows CI
      service.
      
* Migrated from Travis to Circle CI


## Supported environments

The jasmine NPM package has been tested on Node 12, 14, 16, and 18. See the 
[jasmine-core release notes](https://github.com/jasmine/jasmine/blob/main/release_notes/3.8.0.md)
for supported browsers.

------

_Release Notes generated with _[Anchorman](http://github.com/infews/anchorman)_
